// HydroD V4.0-10 started 03-Apr-2013 08:55:47
// HydroD V4.0-10 ended 03-Apr-2013 08:55:47
// HydroD V4.0-10 started 03-Apr-2013 08:55:47
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = true;
WadamWizard1.tankPressure = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.rollDamping = false;
WadamWizard1.pressurePanels = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = true;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = true;
DirectionSet1 = DirectionSet(Array(0 deg,45 deg,90 deg,135 deg,180 deg));
WadamWizard1.addEditObject(DirectionSet1);
FrequencySet1 = FrequencySet(WavePeriod(),Array(1 s,1.5 s,2 s,2.5 s,3 s,3.5 s,4 s,4.5 s,5 s,5.5 s,6 s,6.5 s,7 s,7.5 s,8 s,8.5 s,9 s,9.5 s,10 s,10.5 s,11 s,11.5 s,12 s,12.5 s,13 s,13.5 s,14 s,14.5 s,15 s,15.5 s,16 s,16.5 s,17 s,17.5 s,18 s,18.5 s,19 s,19.5 s,20 s,20.5 s,21 s,21.5 s,22 s,22.5 s,23 s,23.5 s,24 s,24.5 s,25 s,25.5 s,26 s,26.5 s,27 s,27.5 s,28 s,28.5 s,29 s,29.5 s,30 s,30.5 s,31 s,31.5 s,32 s,32.5 s,33 s,33.5 s,34 s,34.5 s,35 s,35.5 s,36 s,36.5 s,37 s,37.5 s,38 s,38.5 s,39 s,39.5 s,40 s));
WadamWizard1.addEditObject(FrequencySet1);
Location1 = Location();
Location1.gravity = 9.80665 m/s^2;
Location1.air.density = 1.226 Kg/m^3;
Location1.air.kinematicViscosity = 1.462e-005 m^2/s;
Location1.water.density = 1025 Kg/m^3;
Location1.water.kinematicViscosity = 1.19e-006 m^2/s;
Location1.setDepth(108);
WadamWizard1.addEditObject(Location1);
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
WadamWizard1.addEditObject(Condition1);
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setAPXPos(-42.5);
HydroModel1.setFPXPos(42.5);
HydroModel1.setBoundaryType(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
WadamWizard1.addEditObject(HydroModel1);
HydroModel1.setActiveFolder();
PanelModel1 = PanelModel(HydroModel1,ElementEnumsFEMFile,"M:/Documents/master_2013/FSU_1000_Genie/abel/abelT1.FEM",true,true);
WadamWizard1.addEditObject(PanelModel1);
LoadingCondition1 = LoadingCondition(HydroModel1,0 m,0 deg,0 deg);
WadamWizard1.addEditObject(LoadingCondition1);
MassModel1 = MassModel(LoadingCondition1,MassModelSpecified);
MassModel1.addTankMass(true);
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setUserMassCoordinateSystem(COGCenteredCoordinateSystem);
MassModel1.setTotalMass(184231613.2 Kg);
MassModel1.setCOG(Point(1.391530012e-017 m,-2.779106815e-017 m,-7.50626696 m));
MassModel1.setRadiusGyration(Vector3d(28.2,28.2,41.5));
MassModel1.setSpecificProductInertia(0 m,0 m,0 m);
WadamWizard1.addEditObject(MassModel1);
DampingMatrix1 = AdditionalDampingMatrix(LoadingCondition1);
LoadingCondition1.interpolateDampingMatrices(true);
LoadingCondition1.addDampingMatricesToWadam(true);
DampingMatrix1.setPeriod(16.5 s);
DampingMatrix1.setTranslationalTerm(1,1,0 N*s/m);
DampingMatrix1.setTranslationalTerm(1,2,0 N*s/m);
DampingMatrix1.setTranslationalTerm(1,3,0 N*s/m);
DampingMatrix1.setCoupledTerm(1,4,0 N*s);
DampingMatrix1.setCoupledTerm(1,5,0 N*s);
DampingMatrix1.setCoupledTerm(1,6,0 N*s);
DampingMatrix1.setTranslationalTerm(2,1,0 N*s/m);
DampingMatrix1.setTranslationalTerm(2,2,0 N*s/m);
DampingMatrix1.setTranslationalTerm(2,3,0 N*s/m);
DampingMatrix1.setCoupledTerm(2,4,0 N*s);
DampingMatrix1.setCoupledTerm(2,5,0 N*s);
DampingMatrix1.setCoupledTerm(2,6,0 N*s);
DampingMatrix1.setTranslationalTerm(3,1,0 N*s/m);
DampingMatrix1.setTranslationalTerm(3,2,0 N*s/m);
DampingMatrix1.setTranslationalTerm(3,3,24300000 N*s/m);
DampingMatrix1.setCoupledTerm(3,4,0 N*s);
DampingMatrix1.setCoupledTerm(3,5,0 N*s);
DampingMatrix1.setCoupledTerm(3,6,0 N*s);
DampingMatrix1.setCoupledTerm(4,1,0 N*s);
DampingMatrix1.setCoupledTerm(4,2,0 N*s);
DampingMatrix1.setCoupledTerm(4,3,0 N*s);
DampingMatrix1.setRotationalTerm(4,4,2200000000 N*s*m);
DampingMatrix1.setRotationalTerm(4,5,0 N*s*m);
DampingMatrix1.setRotationalTerm(4,6,0 N*s*m);
DampingMatrix1.setCoupledTerm(5,1,0 N*s);
DampingMatrix1.setCoupledTerm(5,2,0 N*s);
DampingMatrix1.setCoupledTerm(5,3,0 N*s);
DampingMatrix1.setRotationalTerm(5,4,0 N*s*m);
DampingMatrix1.setRotationalTerm(5,5,2200000000 N*s*m);
DampingMatrix1.setRotationalTerm(5,6,0 N*s*m);
DampingMatrix1.setCoupledTerm(6,1,0 N*s);
DampingMatrix1.setCoupledTerm(6,2,0 N*s);
DampingMatrix1.setCoupledTerm(6,3,0 N*s);
DampingMatrix1.setRotationalTerm(6,4,0 N*s*m);
DampingMatrix1.setRotationalTerm(6,5,0 N*s*m);
DampingMatrix1.setRotationalTerm(6,6,0 N*s*m);
WadamWizard1.addEditObject(DampingMatrix1);
RestoringMatrix1 = AdditionalRestoringMatrix(LoadingCondition1);
RestoringMatrix1.setTranslationalTerm(1,1,1300000 N/m);
RestoringMatrix1.setTranslationalTerm(1,2,0 N/m);
RestoringMatrix1.setTranslationalTerm(1,3,0 N/m);
RestoringMatrix1.setCoupledTerm(1,4,0 N);
RestoringMatrix1.setCoupledTerm(1,5,-29300000 N);
RestoringMatrix1.setCoupledTerm(1,6,0 N);
RestoringMatrix1.setTranslationalTerm(2,1,0 N/m);
RestoringMatrix1.setTranslationalTerm(2,2,1300000 N/m);
RestoringMatrix1.setTranslationalTerm(2,3,0 N/m);
RestoringMatrix1.setCoupledTerm(2,4,29300000 N);
RestoringMatrix1.setCoupledTerm(2,5,0 N);
RestoringMatrix1.setCoupledTerm(2,6,0 N);
RestoringMatrix1.setTranslationalTerm(3,1,0 N/m);
RestoringMatrix1.setTranslationalTerm(3,2,0 N/m);
RestoringMatrix1.setTranslationalTerm(3,3,0 N/m);
RestoringMatrix1.setCoupledTerm(3,4,0 N);
RestoringMatrix1.setCoupledTerm(3,5,0 N);
RestoringMatrix1.setCoupledTerm(3,6,0 N);
RestoringMatrix1.setCoupledTerm(4,1,0 N);
RestoringMatrix1.setCoupledTerm(4,2,29300000 N);
RestoringMatrix1.setCoupledTerm(4,3,0 N);
RestoringMatrix1.setRotationalTerm(4,4,658000000 N*m);
RestoringMatrix1.setRotationalTerm(4,5,0 N*m);
RestoringMatrix1.setRotationalTerm(4,6,0 N*m);
RestoringMatrix1.setCoupledTerm(5,1,-293000000 N);
RestoringMatrix1.setCoupledTerm(5,2,0 N);
RestoringMatrix1.setCoupledTerm(5,3,0 N);
RestoringMatrix1.setRotationalTerm(5,4,0 N*m);
RestoringMatrix1.setRotationalTerm(5,5,658000000 N*m);
RestoringMatrix1.setRotationalTerm(5,6,0 N*m);
RestoringMatrix1.setCoupledTerm(6,1,0 N);
RestoringMatrix1.setCoupledTerm(6,2,0 N);
RestoringMatrix1.setCoupledTerm(6,3,0 N);
RestoringMatrix1.setRotationalTerm(6,4,0 N*m);
RestoringMatrix1.setRotationalTerm(6,5,0 N*m);
RestoringMatrix1.setRotationalTerm(6,6,100000000 N*m);
WadamWizard1.addEditObject(RestoringMatrix1);
WadamRun1 = WadamRun();
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.useMultiBody(false);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun1.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(3000);
   // End Equation Solver **********
   // Start Print **********
WadamRun1.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun1.specifyOutputDirectory(false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
// End Output Directory **********
WadamWizard1.addEditObject(WadamRun1);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.calculateEigenvalues(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet1.clear();
FrequencySet1.addPeriod(1 s);
FrequencySet1.addPeriod(1.5 s);
FrequencySet1.addPeriod(2 s);
FrequencySet1.addPeriod(2.5 s);
FrequencySet1.addPeriod(3 s);
FrequencySet1.addPeriod(3.5 s);
FrequencySet1.addPeriod(4 s);
FrequencySet1.addPeriod(4.5 s);
FrequencySet1.addPeriod(5 s);
FrequencySet1.addPeriod(5.5 s);
FrequencySet1.addPeriod(6 s);
FrequencySet1.addPeriod(6.5 s);
FrequencySet1.addPeriod(7 s);
FrequencySet1.addPeriod(7.5 s);
FrequencySet1.addPeriod(8 s);
FrequencySet1.addPeriod(8.5 s);
FrequencySet1.addPeriod(9 s);
FrequencySet1.addPeriod(9.5 s);
FrequencySet1.addPeriod(10 s);
FrequencySet1.addPeriod(10.5 s);
FrequencySet1.addPeriod(11 s);
FrequencySet1.addPeriod(11.5 s);
FrequencySet1.addPeriod(12 s);
FrequencySet1.addPeriod(12.5 s);
FrequencySet1.addPeriod(13 s);
FrequencySet1.addPeriod(13.5 s);
FrequencySet1.addPeriod(14 s);
FrequencySet1.addPeriod(14.5 s);
FrequencySet1.addPeriod(15 s);
FrequencySet1.addPeriod(15.5 s);
FrequencySet1.addPeriod(16 s);
FrequencySet1.addPeriod(16.5 s);
FrequencySet1.addPeriod(17 s);
FrequencySet1.addPeriod(17.5 s);
FrequencySet1.addPeriod(18 s);
FrequencySet1.addPeriod(18.5 s);
FrequencySet1.addPeriod(19 s);
FrequencySet1.addPeriod(19.5 s);
FrequencySet1.addPeriod(20 s);
FrequencySet1.addPeriod(20.5 s);
FrequencySet1.addPeriod(21 s);
FrequencySet1.addPeriod(21.5 s);
FrequencySet1.addPeriod(22 s);
FrequencySet1.addPeriod(22.5 s);
FrequencySet1.addPeriod(23 s);
FrequencySet1.addPeriod(23.5 s);
FrequencySet1.addPeriod(24 s);
FrequencySet1.addPeriod(24.5 s);
FrequencySet1.addPeriod(25 s);
FrequencySet1.addPeriod(25.5 s);
FrequencySet1.addPeriod(26 s);
FrequencySet1.addPeriod(26.5 s);
FrequencySet1.addPeriod(27 s);
FrequencySet1.addPeriod(27.5 s);
FrequencySet1.addPeriod(28 s);
FrequencySet1.addPeriod(28.5 s);
FrequencySet1.addPeriod(29 s);
FrequencySet1.addPeriod(29.5 s);
FrequencySet1.addPeriod(30 s);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.saveTempWamitFiles(true);
WadamRun1.stopBeforeSecondForceExecution(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
